Subject: Re: Hardware button support for Wireless cards

From: Michael Buesch <[email-masked]>
Date: Mon, 15 May 2006 18:01:06 +0200

On Monday 15 May 2006 17:27, you wrote:
> [email-masked] said:
> > Some people are saying that instead of throwing and ACPI event we should be
> > either use hotplug or internally just disable the radio and somehow inform
> > the dscape stack that the radio has been disabled.
> >
> > What are peoples thoughts here, should we 
> >
> > A. be handling this within our drivers and doing "what the user expects" and
> > disabling the hardware radio, or 
> 
> On my HP laptop with bcm43xx wireless, the button disables the radio in
> HARDWARE, and afaict the driver has no idea about it. The driver notices
> that it's not connected and happily starts scanning again, unaware that
> anything is wrong.

There are registers on the bcm43xx chip (0x158 and 0x49A) that indicate
some "Radio is hardware-disabled" state. We currently don't use that flag
correctly in the driver. Could you please assist me on testing if your switch
actually toggles the bit?
I think best place for this would be on irc.freenode.net #bcm-users